Loading...
Searching...
No Matches
exag.c File Reference

Nviz library – Exaggeration functions. More...

`#include <grass/nviz.h>`
Include dependency graph for exag.c:

Go to the source code of this file.

## Functions

int | Nviz_get_exag_height (double *val, double *min, double *max)
| Get view height.
double | Nviz_get_exag (void)
| Get view z-exag value.

## Detailed Description

Nviz library – Exaggeration functions.

Based on visualization/nviz/src/exag.c

(C) 2008, 2010 by the GRASS Development Team This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Updated/modified by Martin Landa <landa.martin gmail.com> (Google SoC 2008/2010)

Definition in file exag.c.

## Function Documentation

## Nviz_get_exag()

double Nviz_get_exag | ( | void |  | ) |

Get view z-exag value.

Call after initial data has been loaded

Returns
  value

Definition at line 79 of file exag.c.

References G_debug(), G_free(), GS_get_exag_guess(), GS_get_surf_list(), and NULL.

## Nviz_get_exag_height()

int Nviz_get_exag_height | ( | double * | val,
|  | double * | min,
|  | double * | max )

Get view height.

Call after initial data has been loaded

Parameters

  [out] | val | height value
  [out] | min | min value (or NULL)
  [out] | max | max value (or NULL)

Returns
  1

Definition at line 29 of file exag.c.

References G_debug(), G_free(), GS_get_exag_guess(), GS_get_longdim(), GS_get_surf_list(), GS_get_zrange_nz(), max, min, and NULL.